Bug 111340 - CUPS/Samba with HP L1300 driver generates raw postscript
CUPS/Samba with HP L1300 driver generates raw postscript
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2003-12-02 07:14 EST by Need Real Name
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 16:14:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-12-02 07:14:23 EST
Description of problem:

Setting a printer up to print via samba (on a Red Hat 9 server) on a
HP Laserjet 1300 works fine as long as I choose the "generic
postscript" driver.  If I choose manufacturer and model -- HP/Laserjet
1300 -- and the postscript driver, it seems like I get an extra level
of postscript generation: the printer spews out the raw postscipt code
 directly on paper.

The problem is not serious for me; going back to the
manufaturer-independent "generic postscrip" driver works fine.

Printing from other machines (including Windows XP clients) works
fine, so I guess it's not the server's own cups implementation that is
the problem.

Version-Release number of selected component (if applicable):
Standard fedora core 1

How reproducible:

Steps to Reproduce:
Setup printer via redhat-config-printer, choose "windows printer",
choose the relevant server and printer, choose HP/Laserjet 1300,
postscript driver, print test sheet.

Actual results:
Raw postscript output from printer.

Expected results:
Processed postscript output.

Additional info:
Comment 1 Tim Waugh 2003-12-02 12:53:29 EST
Does 'raw print queue' work?  There must be some way for the printing
configuration tool to be able to work out when that is needed. :-/
Comment 2 Tom Cross 2004-02-13 15:17:13 EST
I'm having the same trouble with my LaserJet 1100.  I setup a normal
print queue on my computer using local LPT1 port.  lpr something.ps
works just fine.  Enable lpd support on my computer.  Goto another
linux box.  Setup a queue on other computer as a 'raw printer queue'
or a 'postscript printer' queue and when the test page comes through I
get postscript on the printer instead of the test page.

It's exactly as if remote print jobs are NOT being sent through the

If on the other linux box I change the queue to laserjet 1100 so it
loads the right driver, then it works fine.
Comment 3 Matthew Miller 2006-07-11 13:30:35 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 4 John Thacker 2006-10-25 16:14:22 EDT
Closed per above message and lack of response.  Note that FC1 and FC2 are not even
supported by Fedora Legacy anymore.

Note You need to log in before you can comment on or make changes to this bug.